
Katello - Bug #15470

Upgrade from 2.4 to 3.0 lost my foreman-ipa-authentication setting

06/20/2016 12:21 PM - Leah Fisher

Status: Rejected   

Priority: Normal   

Assignee:    

Category: Installer   

Target version: Katello Recycle Bin   

Difficulty: medium Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

After upgrading to Katello 3.0/Foreman 1.11 I was unable to log in using my ipa credentials.  After searching, I found that the

--foreman-ipa-authentication was set to false.  Running the installer with this set to true solved my issues.

History

#1 - 07/13/2016 01:50 PM - Eric Helms

- Status changed from New to Need more information

Leah,

When you did your upgrade, did you have rubygem-kafo-0.7.4 installed?

#2 - 07/13/2016 02:00 PM - Leah Fisher

When I ran yum update, it wasn't in the packages, but I installed it manually before I ran the foreman-installer --upgrade command.

#3 - 08/03/2016 01:26 PM - Justin Sherrill

- Category set to Installer

- translation missing: en.field_release set to 171

- Difficulty set to medium

#4 - 06/07/2017 05:51 AM - Justin Sherrill

- translation missing: en.field_release deleted (171)

#5 - 06/07/2017 02:27 PM - Eric Helms

- translation missing: en.field_release set to 166

#6 - 06/14/2017 02:09 PM - Justin Sherrill

- Status changed from Need more information to Rejected

The upgrade process has improved greatly since 3.0 and we do not believe this is an issue any more.  Please reopen if someone hits this again. 

Thanks!
